# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'form_abm.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_Dialog(object):
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.resize(552, 415)
        self.tab_tipo_entidad = QtWidgets.QTabWidget(Dialog)
        self.tab_tipo_entidad.setGeometry(QtCore.QRect(10, 20, 531, 381))
        self.tab_tipo_entidad.setObjectName("tab_tipo_entidad")
        self.tab_alta = QtWidgets.QWidget()
        self.tab_alta.setObjectName("tab_alta")
        self.layoutWidget = QtWidgets.QWidget(self.tab_alta)
        self.layoutWidget.setGeometry(QtCore.QRect(80, 10, 341, 211))
        self.layoutWidget.setObjectName("layoutWidget")
        self.gridLayout = QtWidgets.QGridLayout(self.layoutWidget)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout.setObjectName("gridLayout")
        self.label_6 = QtWidgets.QLabel(self.layoutWidget)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 2, 0, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.layoutWidget)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 2)
        self.txt_valor = QtWidgets.QLineEdit(self.layoutWidget)
        self.txt_valor.setObjectName("txt_valor")
        self.gridLayout.addWidget(self.txt_valor, 1, 2, 1, 1)
        self.dt_valor = QtWidgets.QDateEdit(self.layoutWidget)
        self.dt_valor.setCalendarPopup(True)
        self.dt_valor.setObjectName("dt_valor")
        self.gridLayout.addWidget(self.dt_valor, 2, 2, 1, 1)
        self.label = QtWidgets.QLabel(self.layoutWidget)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.cmb_moneda = QtWidgets.QComboBox(self.layoutWidget)
        self.cmb_moneda.setObjectName("cmb_moneda")
        self.gridLayout.addWidget(self.cmb_moneda, 0, 2, 1, 1)
        self.layoutWidget1 = QtWidgets.QWidget(self.tab_alta)
        self.layoutWidget1.setGeometry(QtCore.QRect(230, 310, 274, 32))
        self.layoutWidget1.setObjectName("layoutWidget1")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.layoutWidget1)
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.pushButton_4 = QtWidgets.QPushButton(self.layoutWidget1)
        self.pushButton_4.setObjectName("pushButton_4")
        self.horizontalLayout_2.addWidget(self.pushButton_4)
        self.pushButton_3 = QtWidgets.QPushButton(self.layoutWidget1)
        self.pushButton_3.setObjectName("pushButton_3")
        self.horizontalLayout_2.addWidget(self.pushButton_3)
        self.pushButton = QtWidgets.QPushButton(self.layoutWidget1)
        self.pushButton.setObjectName("pushButton")
        self.horizontalLayout_2.addWidget(self.pushButton)
        self.tab_tipo_entidad.addTab(self.tab_alta, "")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.splitter = QtWidgets.QSplitter(self.tab_2)
        self.splitter.setGeometry(QtCore.QRect(20, 0, 491, 341))
        self.splitter.setOrientation(QtCore.Qt.Vertical)
        self.splitter.setObjectName("splitter")
        self.layoutWidget2 = QtWidgets.QWidget(self.splitter)
        self.layoutWidget2.setObjectName("layoutWidget2")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.layoutWidget2)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.label_3 = QtWidgets.QLabel(self.layoutWidget2)
        self.label_3.setObjectName("label_3")
        self.verticalLayout_3.addWidget(self.label_3)
        self.dateEdit = QtWidgets.QDateEdit(self.layoutWidget2)
        self.dateEdit.setCalendarPopup(True)
        self.dateEdit.setObjectName("dateEdit")
        self.verticalLayout_3.addWidget(self.dateEdit)
        self.horizontalLayout.addLayout(self.verticalLayout_3)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.label_4 = QtWidgets.QLabel(self.layoutWidget2)
        self.label_4.setObjectName("label_4")
        self.verticalLayout_2.addWidget(self.label_4)
        self.dateEdit_2 = QtWidgets.QDateEdit(self.layoutWidget2)
        self.dateEdit_2.setCalendarPopup(True)
        self.dateEdit_2.setObjectName("dateEdit_2")
        self.verticalLayout_2.addWidget(self.dateEdit_2)
        self.horizontalLayout.addLayout(self.verticalLayout_2)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout()
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.label_5 = QtWidgets.QLabel(self.layoutWidget2)
        self.label_5.setText("")
        self.label_5.setObjectName("label_5")
        self.verticalLayout_4.addWidget(self.label_5)
        self.pushButton_2 = QtWidgets.QPushButton(self.layoutWidget2)
        self.pushButton_2.setObjectName("pushButton_2")
        self.verticalLayout_4.addWidget(self.pushButton_2)
        self.horizontalLayout.addLayout(self.verticalLayout_4)
        self.tableWidget = QtWidgets.QTableWidget(self.splitter)
        self.tableWidget.setObjectName("tableWidget")
        self.tableWidget.setColumnCount(3)
        self.tableWidget.setRowCount(0)
        item = QtWidgets.QTableWidgetItem()
        self.tableWidget.setHorizontalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        self.tableWidget.setHorizontalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        self.tableWidget.setHorizontalHeaderItem(2, item)
        self.tableWidget.horizontalHeader().setCascadingSectionResizes(True)
        self.tab_tipo_entidad.addTab(self.tab_2, "")

        self.retranslateUi(Dialog)
        self.tab_tipo_entidad.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "Dialog"))
        self.label_6.setText(_translate("Dialog", "Fecha"))
        self.label_2.setText(_translate("Dialog", "Valor"))
        self.txt_valor.setInputMask(_translate("Dialog", "999,99"))
        self.dt_valor.setDisplayFormat(_translate("Dialog", "d/M/yyyy"))
        self.label.setText(_translate("Dialog", "Moneda"))
        self.pushButton_4.setText(_translate("Dialog", "Guardar"))
        self.pushButton_3.setText(_translate("Dialog", "Modificar"))
        self.pushButton.setText(_translate("Dialog", "Borrar"))
        self.tab_tipo_entidad.setTabText(self.tab_tipo_entidad.indexOf(self.tab_alta), _translate("Dialog", "ABM"))
        self.label_3.setText(_translate("Dialog", "Desde"))
        self.dateEdit.setDisplayFormat(_translate("Dialog", "d/M/yyyy"))
        self.label_4.setText(_translate("Dialog", "Hasta"))
        self.dateEdit_2.setDisplayFormat(_translate("Dialog", "d/M/yyyy"))
        self.pushButton_2.setText(_translate("Dialog", "Buscar"))
        self.tableWidget.setSortingEnabled(True)
        item = self.tableWidget.horizontalHeaderItem(0)
        item.setText(_translate("Dialog", "Fecha"))
        item = self.tableWidget.horizontalHeaderItem(1)
        item.setText(_translate("Dialog", "Moneda"))
        item = self.tableWidget.horizontalHeaderItem(2)
        item.setText(_translate("Dialog", "Valor"))
        self.tab_tipo_entidad.setTabText(self.tab_tipo_entidad.indexOf(self.tab_2), _translate("Dialog", "Listado"))


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    Dialog = QtWidgets.QDialog()
    ui = Ui_Dialog()
    ui.setupUi(Dialog)
    Dialog.show()
    sys.exit(app.exec_())
